<?php
declare (strict_types = 1);

namespace app\admin\model\v1;

use app\common\model\ProductSkuBaseModel;

/**
 * 产品 - sku模型
 * @mixin \think\Model
 */
class ProductSkuModel extends ProductSkuBaseModel
{
    // 设置json类型字段
    protected $json = ['photo_album'];
    // 设置JSON数据返回数组
    protected $jsonAssoc = true;

    // 关联产品sku属性
    public function attrs()
    {
        return $this->hasMany(ProductSkuAttrModel::class, 'sku_id', 'id');
    }

    // 所属产品查询
    public function scopeProductId($query, $id)
    {
        $query->where('product_id', '=', $id);
    }
}
